# SPDX-FileCopyrightText: 2023-2024 oeykmiih
# SPDX-License-Identifier: GPL-3.0-or-later
import bpy

from . import data


def get_filepath(path):
    path = bpy.path.abspath(path)
    path = path.rsplit(".blend\\", 1)[0]
    return "%s.blend" % path


def add_tags(metadata, keys):
    tags = metadata.tags

    for key in keys:
        tags.new(key, skip_if_exists=True)

    metadata.active_tag = 0


def remove_tags(metadata, keys):
    tags = metadata.tags

    for key in keys:
        if key in tags:
            tags.remove(tags[key])

    metadata.active_tag = 0


def add_preview(metadata, preview):
    data.add_preview(metadata.id_data, preview)


def remove_preview(metadata):
    data.remove_preview(metadata.id_data)
