# SPDX-FileCopyrightText: 2023-2024 oeykmiih
# SPDX-License-Identifier: GPL-3.0-or-later
import dataclasses


# CREDIT: https://blender.stackexchange.com/a/314309
def get_entries(datablock, prop):
    try:
        setattr(datablock, prop, "")
    except Exception as e:
        return str(e).split("'")[1::2]


@dataclasses.dataclass
class Area:
    ui_type = [
        "ASSETS",
        "CLIP_EDITOR",
        "CompositorNodeTree",
        "CONSOLE",
        "DOPESHEET",
        "DRIVERS",
        "FCURVES",
        "FILES",
        "GeometryNodeTree",
        "IMAGE_EDITOR",
        "INFO",
        "NLA_EDITOR",
        "OUTLINER",
        "PREFERENCES",
        "PROPERTIES",
        "SEQUENCE_EDITOR",
        "ShaderNodeTree",
        "SPREADSHEET",
        "TEXT_EDITOR",
        "TextureNodeTree",
        "TIMELINE",
        "UV",
        "VIEW_3D",
    ]
