# SPDX-FileCopyrightText: 2023-2024 oeykmiih
# SPDX-License-Identifier: GPL-3.0-or-later
import os
import subprocess

import bpy


def new(filepath):
    subprocess.run(
        [
            bpy.app.binary_path,
            "--background",
            "--factory-startup",
            "--python",
            os.path.join(
                os.path.dirname(os.path.abspath(__file__)), "scripts", "file_create.py"
            ),
            "--",
            filepath,
        ]
    )
    return filepath


def append(target, data):
    if not isinstance(data, list):
        return None

    bpy.data.libraries.write(target, set(data), fake_user=True)
    return None
