# SPDX-FileCopyrightText: 2023-2024 oeykmiih
# SPDX-License-Identifier: GPL-3.0-or-later
import os

import bpy

addon_name = __name__.split(".", 1)[0]
_root = os.path.dirname(bpy.app.binary_path)
_version = str(bpy.app.version[0]) + "." + str(bpy.app.version[1])

b_assets = os.path.join(_root, _version, "datafiles", "assets")
b_config = os.path.join(_root, _version, "config")
b_datafiles = os.path.join(_root, _version, "datafiles")
data = os.path.join(_root, "data")
config = os.path.join(data, addon_name)


# CREDIT: https://github.com/Gorgious56/asset_browser_utilities
def get_supported_images(folder, recursive=False):
    """Returns a generator with all the images in the folder."""
    for ext in bpy.path.extensions_image:
        if recursive:
            yield from [fp for fp in folder.glob("**/*" + ext) if fp.is_file()]
        else:
            yield from [fp for fp in folder.glob("*" + ext) if fp.is_file()]


def is_supported_image(path):
    return path.is_file() and path.suffix in bpy.path.extensions_image
