# SPDX-FileCopyrightText: 2023-2024 oeykmiih
# SPDX-License-Identifier: GPL-3.0-or-later
import bpy


def _default_add(datablock, item):
    datablock.add()


default = _default_add

CONSTRUCTORS = {
    bpy.types.Material: lambda datablock, item: datablock.new(item["name"]),
    bpy.types.UserAssetLibrary: lambda datablock, item: datablock.new(
        name=item["name"], directory=item["path"]
    ),
}

global constructors
constructors = {}


def build(custom_constructors={}):
    typemap = CONSTRUCTORS.copy()

    for t in custom_constructors:
        typemap[t] = custom_constructors[t]

    global constructors
    constructors = typemap
