# SPDX-FileCopyrightText: 2023-2024 oeykmiih
# SPDX-License-Identifier: GPL-3.0-or-later
import bpy


# CREDIT: https://blenderartists.org/t/1480091/5
def new(width, height, ui_type):
    # Modify scene settings
    render = bpy.context.scene.render
    view = bpy.context.preferences.view

    ogResX = render.resolution_x
    ogResY = render.resolution_y
    ogDispMode = view.render_display_type

    render.resolution_x = width
    render.resolution_y = height
    view.render_display_type = "WINDOW"

    # Call image editor window
    bpy.ops.render.view_show("INVOKE_DEFAULT")

    # Change area type
    area = bpy.context.window_manager.windows[-1].screen.areas[0]
    area.ui_type = ui_type

    # Restore old values
    view.render_display_type = ogDispMode
    render.resolution_x = ogResX
    render.resolution_y = ogResY
